<template>
  <div class="home">
    <nav class="home-nav">
      <ul class="home__list">
        <li
          v-for="form of forms"
          :key="form.id"
          class="home__item"
        >
          <router-link
            class="home__link"
            :to="`/form/${form.id}`"
          >
            {{ form.id }}
          </router-link>
        </li>
      </ul>
    </nav>
    <router-view />
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { mapGetters } from 'vuex';

export default defineComponent({
  name: 'Home',
  components: {},
  computed: {
    ...mapGetters({
      forms: 'forms',
    }),
  },
});
</script>
<style scoped>
    .home {
        margin-top: 50px;
    }
    .home__list {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .home__item {
        margin-right: 20px;
    }
    .home__link {
        border: 1px solid black;
        padding: 10px 20px;
    }
    .home__item:last-child {
        margin-right: 0;
    }
</style>
